On running ember s I am getting the error of missing dependency for fsevents


#1

On running ember s I am getting the error of missing dependency for fsevents. I am running my code on windows still I am getting this error. If I remove it from the package-lock.json and the npm shrinkwrap.json then I am getting error as “ReferenceError: regeneratorRuntime is not defined”

image


#2

Need help on this I am stuck with this issue. Attaching screen shot of the error.

image


#3

It sounds like you are legitimately missing some NPM packages for some reason. Did you try deleting the entire node_modules folder and re-running npm install?

Alternatively, the “Missing npm-shrinkwrap packages” error comes from ember-cli-dependency-chcker. You can try removing it from your package.json to disable the checking. That won’t fix the problem if you’re truly missing a necessary package, but it would help if there is some bug in the checker.


#4

I have tried removing the node_modules folder and have run npm install still the problem persists.


#5

Package.json

{ “name”: “sfOrderEntry”, “version”: “1.4.0”, “description”: “Sales Force Order Entry Module”, “license”: “MIT”, “author”: “”, “directories”: { “doc”: “doc”, “test”: “tests” }, “repository”: “”, “scripts”: { “build”: “ember build”, “start”: “ember server”, “test”: “ember test” }, “devDependencies”: { “broccoli-asset-rev”: “^2.4.5”, “ember-ajax”: “^2.4.1”, “ember-cli”: “2.13.2”, “ember-cli-app-version”: “^2.1.0”, “ember-cli-babel”: “^5.1.7”, “ember-cli-code-coverage”: “^0.3.12”, “ember-cli-dependency-checker”: “^1.3.0”, “ember-cli-eslint”: “^3.0.0”, “ember-cli-format-number”: “^2.0.0”, “ember-cli-htmlbars”: “^1.1.1”, “ember-cli-htmlbars-inline-precompile”: “^0.3.6”, “ember-cli-inject-live-reload”: “^1.4.1”, “ember-cli-moment-shim”: “^3.3.0”, “ember-cli-notifications”: “^4.1.7”, “ember-cli-qunit”: “^3.1.0”, “ember-cli-shims”: “^1.0.2”, “ember-cli-sri”: “^2.1.0”, “ember-cli-string-helpers”: “^1.2.1”, “ember-cli-uglify”: “^1.2.0”, “ember-collapsible-panel”: “^2.1.1”, “ember-concurrency”: “^0.8.5”, “ember-data”: “^2.13.0”, “ember-export-application-global”: “^1.0.5”, “ember-font-awesome”: “^3.0.5”, “ember-invoke-action”: “^1.5.0”, “ember-load-initializers”: “^0.6.0”, “ember-modal-dialog”: “^1.0.0”, “ember-moment”: “^7.3.0”, “ember-one-way-controls”: “^2.0.0”, “ember-one-way-select”: “^4.0.0”, “ember-pikaday”: “^2.2.2”, “ember-power-select”: “^1.7.0”, “ember-resolver”: “^2.0.3”, “ember-source”: “~2.13.0”, “ember-test-selectors”: “^0.3.4”, “ember-tether”: “^0.3.1”, “ember-toggle”: “^4.0.2”, “ember-tooltips”: “^2.8.2”, “ember-truth-helpers”: “^1.3.0”, “loader.js”: “^4.3.0” }, “engines”: { “node”: “>= 4” }, “private”: true, “ember-addon”: {} }